Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.expr
Class NumberVariant

    java.lang.Object
      com.jclark.xsl.expr.VariantBase
          com.jclark.xsl.expr.NumberVariant

All Implemented Interfaces:
  Variant

public class NumberVariant
extends VariantBase

Constructor Summary
`NumberVariant(double num)`

Method Summary
`boolean` | `convertToBoolean()`
`double` | `convertToNumber()`
`java.lang.Object` | `convertToObject()`
`boolean` | `convertToPredicate(ExprContext context)`
`java.lang.String` | `convertToString()`
`boolean` | `isNumber()`

Methods inherited from class com.jclark.xsl.expr.VariantBase
`convertToNodeSet, create, getBaseNode, isBoolean, isNodeSet, isString, makePermanent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberVariant

    public NumberVariant(double num)

Method Detail

### convertToString

    public java.lang.String convertToString()

### convertToBoolean

    public boolean convertToBoolean()

### convertToNumber

    public double convertToNumber()

  Specified by:
    `convertToNumber` in interface `Variant`
  Overrides:
    `convertToNumber` in class `VariantBase`

### convertToPredicate

    public boolean convertToPredicate(ExprContext context)
                               throws XSLException

  Specified by:
    `convertToPredicate` in interface `Variant`
  Overrides:
    `convertToPredicate` in class `VariantBase`
  Throws:
    `XSLException`

### convertToObject

    public java.lang.Object convertToObject()

### isNumber

    public boolean isNumber()

  Specified by:
    `isNumber` in interface `Variant`
  Overrides:
    `isNumber` in class `VariantBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD